%define major		1
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		qhttpengine
Version:	1.0.1
Release:	%mkrel 7
Summary:	HTTP server for Qt applications
Group:		Development/KDE and Qt
License:	MIT
URL:		https://nitroshare.net
Source0:	https://github.com/nitroshare/qhttpengine/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		qhttpengine-cmake-4.0.patch
BuildRequires:	cmake
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)

%description
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
QHttpEngine provides a set of Qt classes that enable applications to expose
functionality through an HTTP interface. Handlers are provided that allow
directories containing static files to be served directly from the application
as well as allow scripts or other tools to interact with the application
through an API.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{develname}
%doc README.md
%license LICENSE.txt
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Tue Jul 01 2025 daviddavid <daviddavid> 1.0.1-7.mga10
+ Revision: 2233151
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 1.0.1-6.mga9
+ Revision: 1842148
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.0.1-5.mga8
+ Revision: 1659485
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.0.1-4.mga8
+ Revision: 1524946
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Apr 01 2019 umeabot <umeabot> 1.0.1-3.mga7
+ Revision: 1384206
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.1-2.mga7
+ Revision: 1300650
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 daviddavid <daviddavid> 1.0.1-1.mga7
+ Revision: 1180759
- new version: 1.0.1

* Tue Sep 12 2017 daviddavid <daviddavid> 1.0.0-1.mga7
+ Revision: 1153202
- new version: 1.0.0
- now libmajor is 1

* Mon Jul 11 2016 daviddavid <daviddavid> 0.1.0-1.mga6
+ Revision: 1041103
- initial package qhttpengine

